﻿

public class LcdData
{
    public bool[,][,] dots;
    public LcdData(byte _row, byte _char)
    {
        dots = new bool[_row, _char][,];
        for (int ir = 0; ir < _row; ir++)
            for (int ic = 0; ic < _char; ic++)
            {
                dots[ir, ic] = new bool[5, 8];
                for (int iy = 0; iy < 8; iy++)
                    for (int ix = 0; ix < 5; ix++)
                        dots[ir, ic][ix, iy] = false;
            }
    }

    public void Clear()
    {
        int _row = dots.GetLength(0);
        int _char = dots.GetLength(1);
        for (int ir = 0; ir < _row; ir++)
            for (int ic = 0; ic < _char; ic++)
                for (int iy = 0; iy < 8; iy++)
                    for (int ix = 0; ix < 5; ix++)
                        dots[ir, ic][ix, iy] = false;
    }
}
